*** ./doc/FAQ_AIX.orig	Thu Nov  9 10:00:07 2000
--- ./doc/FAQ_AIX	Fri Nov 10 21:35:50 2000
***************
*** 12,19 ****
  libpq++ does not work because xlC does not have the string and bool classes.
  compiling the few files, that fail, with g++ does work.
  
! Compiling PostgreSQL with gcc (2.95.2) on AIX does work if you use the
! configure option: --with-template=aix_gcc 
  
! There will probably be warnings about int8 - int64 redefines and 0.0/0.0
! devision warnings, which you can safely ignore.
--- 12,18 ----
  libpq++ does not work because xlC does not have the string and bool classes.
  compiling the few files, that fail, with g++ does work.
  
! Compiling PostgreSQL with gcc (2.95.2) on AIX also works.
  
! There will probably be warnings about int8 - int64 redefines, 0.0/0.0
! devision and duplicate symbol warnings which you can safely ignore.
*** ./src/include/utils/nabstime.h.orig	Fri Jun  9 09:00:25 2000
--- ./src/include/utils/nabstime.h	Fri Nov 10 21:51:04 2000
***************
*** 79,95 ****
  #define NOEND_ABSTIME	((AbsoluteTime) 0x7FFFFFFC)		/* 2147483645 (2^31 - 3) */
  #define BIG_ABSTIME		((AbsoluteTime) 0x7FFFFFFB)		/* 2147483644 (2^31 - 4) */
  
! #if defined(_AIX)
! /*
!  * AIX considers 2147483648 == -2147483648 (since they have the same bit
!  * representation) but uses a different sign sense in a comparison to
!  * these integer constants depending on whether the constant is signed
!  * or not!
!  */
! #define NOSTART_ABSTIME		 ((AbsoluteTime) INT_MIN)
! #else
! #define NOSTART_ABSTIME ((AbsoluteTime) 0x80000001)		/* -2147483647 (- 2^31) */
! #endif	 /* _AIX */
  
  #define INVALID_RELTIME ((RelativeTime) 0x7FFFFFFE)		/* 2147483647 (2^31 - 1) */
  
--- 79,85 ----
  #define NOEND_ABSTIME	((AbsoluteTime) 0x7FFFFFFC)		/* 2147483645 (2^31 - 3) */
  #define BIG_ABSTIME		((AbsoluteTime) 0x7FFFFFFB)		/* 2147483644 (2^31 - 4) */
  
! #define NOSTART_ABSTIME	((AbsoluteTime) 0x80000000)		/* -2147483648 (INT_MIN) */
  
  #define INVALID_RELTIME ((RelativeTime) 0x7FFFFFFE)		/* 2147483647 (2^31 - 1) */
  
***************
*** 98,104 ****
  
  #define AbsoluteTimeIsReal(time) \
  	((bool) (((AbsoluteTime) time) < NOEND_ABSTIME && \
! 			 ((AbsoluteTime) time) > NOSTART_ABSTIME))
  
  #define RelativeTimeIsValid(time) \
  	((bool) (((RelativeTime) time) != INVALID_RELTIME))
--- 88,94 ----
  
  #define AbsoluteTimeIsReal(time) \
  	((bool) (((AbsoluteTime) time) < NOEND_ABSTIME && \
! 			  ((AbsoluteTime) time) != NOSTART_ABSTIME))
  
  #define RelativeTimeIsValid(time) \
  	((bool) (((RelativeTime) time) != INVALID_RELTIME))
*** ./src/template/aix.orig	Wed Nov  1 10:00:23 2000
--- ./src/template/aix	Fri Nov 10 21:04:16 2000
***************
*** 1,15 ****
  if test "$GCC" = yes ; then
!   CFLAGS=-pipe
  else # not GCC
    case $host_os in
!     aix3.2.5)
!       CFLAGS='-qchars=signed -qmaxmem=8192 -qhalt=w -qsrcmsg'
!       ;;
!     aix4.1)
!       CFLAGS='-qchars=signed -qmaxmem=8192 -qhalt=w -qsrcmsg -qcheck=divzero'
!       ;;
!     aix4.2 | aix4.3)
!       CFLAGS='-qmaxmem=16384 -qhalt=w -qsrcmsg -qlanglvl=extended -qlonglong'
!       ;;
    esac
  fi # not GCC
--- 1,9 ----
  if test "$GCC" = yes ; then
!   CFLAGS='-O2 -pipe'
  else # not GCC
+   CFLAGS='-O2 -qmaxmem=16384 -qsrcmsg -qlonglong'
    case $host_os in
!     aix3.2.5 | aix4.1*)
!       CFLAGS='-qmaxmem=16384 -qsrcmsg' ;;
    esac
  fi # not GCC
